<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\IndexController;
use App\Events\MessageButton;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Auth::routes();
Route::get('/', [App\Http\Controllers\HomeController::class, 'index'])->middleware('auth');

Route::get('/controllers', [ IndexController::class, 'show' ]);
Route::get('/models', [ IndexController::class, 'db' ]);
Route::get('/forms', [ IndexController::class, 'form' ]);

Route::post('/forms', [ IndexController::class, 'form_send' ]);

// Route::get('event', function(){
//     event(new MessageButton(""));
//     return redirect('/');
// });



